E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::ServerPeer::Config Struct Reference

A configuration structure for GNet::ServerPeer. More...

`#include <gserverpeer.h>`

Collaboration diagram for GNet::ServerPeer::Config:
[legend]

## Public Member Functions
Config & | set_socket_protocol_config (const SocketProtocol::Config &)
Config & | set_idle_timeout (unsigned int) noexcept
Config & | set_kick_idle_timer_on_send (bool=true) noexcept
Config & | set_no_throw_on_peer_disconnect (bool=true) noexcept
Config & | set_all_timeouts (unsigned int) noexcept
Config & | set_log_address (bool=true) noexcept
Config & | set_log_port (bool=true) noexcept

## Public Attributes
SocketProtocol::Config | socket_protocol_config
unsigned int | idle_timeout {0U}
bool | kick_idle_timer_on_send {false}
bool | no_throw_on_peer_disconnect {false}
bool | log_address {false}
bool | log_port {false}

## Detailed Description

A configuration structure for GNet::ServerPeer.

Definition at line 63 of file gserverpeer.h.

## Member Function Documentation

## ◆ set_all_timeouts()

GNet::ServerPeer::Config & GNet::ServerPeer::Config::set_all_timeouts | ( | unsigned int | t | ) |
| inline noexcept

Definition at line 217 of file gserverpeer.h.

## ◆ set_idle_timeout()

GNet::ServerPeer::Config & GNet::ServerPeer::Config::set_idle_timeout | ( | unsigned int | t | ) |
| inline noexcept

Definition at line 215 of file gserverpeer.h.

## ◆ set_kick_idle_timer_on_send()

GNet::ServerPeer::Config & GNet::ServerPeer::Config::set_kick_idle_timer_on_send | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 216 of file gserverpeer.h.

## ◆ set_log_address()

GNet::ServerPeer::Config & GNet::ServerPeer::Config::set_log_address | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 220 of file gserverpeer.h.

## ◆ set_log_port()

GNet::ServerPeer::Config & GNet::ServerPeer::Config::set_log_port | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 221 of file gserverpeer.h.

## ◆ set_no_throw_on_peer_disconnect()

GNet::ServerPeer::Config & GNet::ServerPeer::Config::set_no_throw_on_peer_disconnect | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 219 of file gserverpeer.h.

## ◆ set_socket_protocol_config()

GNet::ServerPeer::Config & GNet::ServerPeer::Config::set_socket_protocol_config | ( | const SocketProtocol::Config & | config | ) |
| inline

Definition at line 218 of file gserverpeer.h.

## Member Data Documentation

## ◆ idle_timeout

unsigned int GNet::ServerPeer::Config::idle_timeout {0U}

Definition at line 66 of file gserverpeer.h.

## ◆ kick_idle_timer_on_send

bool GNet::ServerPeer::Config::kick_idle_timer_on_send {false}

Definition at line 67 of file gserverpeer.h.

## ◆ log_address

bool GNet::ServerPeer::Config::log_address {false}

Definition at line 69 of file gserverpeer.h.

## ◆ log_port

bool GNet::ServerPeer::Config::log_port {false}

Definition at line 70 of file gserverpeer.h.

## ◆ no_throw_on_peer_disconnect

bool GNet::ServerPeer::Config::no_throw_on_peer_disconnect {false}

Definition at line 68 of file gserverpeer.h.

## ◆ socket_protocol_config

SocketProtocol::Config GNet::ServerPeer::Config::socket_protocol_config

Definition at line 65 of file gserverpeer.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gserverpeer.h